Skip to main content
POST
Upload a knowledge-base document
Required scope: chatbots.edit Idempotency: an Idempotency-Key header is required when calling with an API key. See Idempotency.
Requires chatbots enabled on your account. Otherwise the request is refused; see Errors.

Authorizations

Authorization
string
header
required

Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.

Headers

Idempotency-Key
string
required

Unique value (e.g. a UUID) per action, up to 200 printable ASCII characters. Reuse it only to retry the same request; the first response is replayed for 24 hours.

Maximum string length: 200
Example:

"f1d2c3b4-0000-4000-8000-000000000000"

Path Parameters

id
string
required

Body

multipart/form-data
file
file
required

Response

Accepted for indexing

id
string
required
name
string
required
mimeType
string
required
fileSize
string
required
status
string
required
errorMessage
string | null
required
createdAt
string
required
updatedAt
string
required